;InnoSetupVersion=2.0.17

[Setup]
AppName=TaskInfo2002 4.0
AppVerName=TaskInfo2002 4.0.0.51
AppId=TaskInfo2002 4.0
AppVersion=4.0.0.51
AppPublisher=Igor Arsenin (Iarsn)
AppPublisherURL=http://www.iarsn.com/
AppSupportURL=http://www.iarsn.com/download.html
AppUpdatesURL=http://www.iarsn.com/download.html
DefaultDirName={pf}\Iarsn\TaskInfo2002 4.0
DefaultGroupName=TaskInfo2002 4.0
UninstallDisplayIcon={app}\TaskInfo.exe
UninstallFilesDir={app}\uninst
OutputBaseFilename=tskinf40
Compression=bzip2
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\TaskInfo.exe"; DestDir: "{app}"; 
Source: "{app}\taskinfo.exe.manifest"; DestDir: "{app}"; 
Source: "{app}\TASKINFO.HLP"; DestDir: "{app}"; 
Source: "{app}\TASKINFO.GID"; DestDir: "{app}"; 
Source: "{app}\REGISTER.TXT"; DestDir: "{app}"; 
Source: "{app}\WHATSNEW.TXT"; DestDir: "{app}"; 
Source: "{app}\README.TXT"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\FILE_ID.DIZ"; DestDir: "{app}"; 
Source: "{app}\register.url"; DestDir: "{app}"; 
Source: "{app}\mysite.url"; DestDir: "{app}"; 
Source: "{sys}\tsknf402.vxd"; DestDir: "{sys}"; Flags: sharedfile 
Source: "{sys}\PSAPI.DLL"; DestDir: "{sys}"; Flags: sharedfile 
Source: "{sys}\drivers\Tsknf400.sys"; DestDir: "{sys}\drivers"; Flags: sharedfile 

[Dirs]
Name: "{app}\uninst"; 

[Registry]
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TaskInfo.exe"; Flags: uninsdeletekey 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TaskInfo.exe"; ValueType: String; ValueData: "{app}\TaskInfo.exe"; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\TaskInfo.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}"; 

[Run]
Filename: "{app}\TaskInfo.exe"; Parameters: " install"; StatusMsg: "Finishing Installation ..."; 
Filename: "{app}\Readme.txt"; Description: "View the README file"; Flags: shellexec postinstall unchecked skipifsilent 

[UninstallRun]
Filename: "{app}\TaskInfo.exe"; Parameters: " uninstall"; RunOnceId: "DelDriver"; 

[Icons]
Name: "{userdesktop}\Iarsn TaskInfo2002"; Filename: "{app}\TaskInfo.exe"; Tasks: desktopicon; 
Name: "{group}\Iarsn TaskInfo2002"; Filename: "{app}\TaskInfo.exe"; 
Name: "{group}\TaskInfo2002 Registration Page"; Filename: "{app}\register.url"; 
Name: "{group}\TaskInfo2002 Home Page"; Filename: "{app}\mysite.url"; 
Name: "{group}\TaskInfo2002 Documentation\End User License"; Filename: "{app}\license.txt"; 
Name: "{group}\TaskInfo2002 Documentation\Help"; Filename: "{app}\TaskInfo.hlp"; 
Name: "{group}\TaskInfo2002 Documentation\Readme.txt"; Filename: "{app}\Readme.txt"; 
Name: "{group}\TaskInfo2002 Documentation\Register.txt"; Filename: "{app}\Register.txt"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
